Bug 863570 - [abrt] rhythmbox-2.97-5.fc18: memmove: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-5.fc18: memmove: Process /usr/bin/rhythmbox was killed ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:d278cd22ba67a3a03dfc1140c18...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 16:22 EDT by D. Charles Pyle
Modified: 2012-10-12 01:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhythmbox-2.98-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-12 01:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.86 KB, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details
File: environ (1.75 KB, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details
File: event_log (1.04 KB, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details
File: backtrace (176.98 KB, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details
File: maps (117.70 KB, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details
File: dso_list (24.39 KB, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details
File: var_log_messages (994 bytes, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details
File: open_fds (913 bytes, text/plain)
2012-10-05 16:22 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2012-10-05 16:22:29 EDT
Description of problem:
Just trying to listen to internet radio. Happens every time.

Version-Release number of selected component:
rhythmbox-2.97-5.fc18

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: memmove
kernel:         3.6.0-3.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 memmove at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:2819
: #2 delete at dbus-string.c:1175
: #4 _dbus_string_delete at dbus-string.c:1200
: #5 load_message at dbus-message.c:4171
: #6 _dbus_message_loader_queue_messages at dbus-message.c:4245
: #7 _dbus_transport_get_dispatch_status at dbus-transport.c:1101
: #8 _dbus_transport_queue_messages at dbus-transport.c:1128
: #9 _dbus_connection_get_dispatch_status_unlocked at dbus-connection.c:4211
: #10 dbus_connection_get_dispatch_status at dbus-connection.c:4342
: #11 message_queue_prepare at dbus-gmain.c:71
Comment 1 D. Charles Pyle 2012-10-05 16:22:31 EDT
Created attachment 622417 [details]
File: core_backtrace
Comment 2 D. Charles Pyle 2012-10-05 16:22:33 EDT
Created attachment 622418 [details]
File: environ
Comment 3 D. Charles Pyle 2012-10-05 16:22:34 EDT
Created attachment 622419 [details]
File: event_log
Comment 4 D. Charles Pyle 2012-10-05 16:22:36 EDT
Created attachment 622420 [details]
File: limits
Comment 5 D. Charles Pyle 2012-10-05 16:22:37 EDT
Created attachment 622421 [details]
File: backtrace
Comment 6 D. Charles Pyle 2012-10-05 16:22:39 EDT
Created attachment 622422 [details]
File: cgroup
Comment 7 D. Charles Pyle 2012-10-05 16:22:40 EDT
Created attachment 622423 [details]
File: maps
Comment 8 D. Charles Pyle 2012-10-05 16:22:42 EDT
Created attachment 622424 [details]
File: dso_list
Comment 9 D. Charles Pyle 2012-10-05 16:22:43 EDT
Created attachment 622425 [details]
File: var_log_messages
Comment 10 D. Charles Pyle 2012-10-05 16:22:44 EDT
Created attachment 622426 [details]
File: open_fds
Comment 11 D. Charles Pyle 2012-10-05 16:28:11 EDT
Just trying to listen to internet radio. Crashes constantly just from double-clicking a station.

backtrace_rating: 4
Package: rhythmbox-2.97-5.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 12 Fedora Update System 2012-10-11 08:32:58 EDT
rhythmbox-2.98-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rhythmbox-2.98-3.fc18
Comment 13 D. Charles Pyle 2012-10-11 15:07:41 EDT
I was still getting crashes. But, checking the version confirmed that it was not being updated even though it was reported to have been updated. I found a slew of PackageKit errors that prevented me from actually completing the install. I managed to get the new files installed and now the crashes are gone.
Comment 14 Kalev Lember 2012-10-12 01:18:12 EDT
Great, thanks for testing!

Note You need to log in before you can comment on or make changes to this bug.